Make WordPress Core

Opened 2 years ago

Closed 2 years ago

#55354 closed defect (bug) (duplicate)

wordpress 5.9 with php 8.1

Reported by: vbss2018wordpress's profile vbss2018wordpress Owned by:
Milestone: Priority: normal
Severity: normal Version: 5.9.1
Component: Database Keywords: php81
Focuses: Cc:

Description

wordpress 5.9.1 does not work with php 8.1
php database not found

Change History (1)

#1 @SergeyBiryukov
2 years ago

  • Component changed from General to Database
  • Keywords php81 added
  • Milestone Awaiting Review deleted
  • Resolution set to duplicate
  • Status changed from new to closed

Hi there, welcome back to WordPress Trac! Thanks for the report.

Looks like you've submitted a similar ticket before: #55208, let's continue there.

Just to clarify, while WordPress 5.9.x is not fully compatible with PHP 8.1, it does succesfully run on that version in general, with some deprecation notices, as seen in automated test runs.

You can find more details in this post: WordPress 5.9 and PHP 8.0-8.1.

Note: See TracTickets for help on using tickets.